Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class CCLTreeNode

    java.lang.Object
      |
      +--javax.swing.tree.DefaultMutableTreeNode
            |
            +--ccl.swing.CCLTreeNode

All Implemented Interfaces:
  java.lang.Cloneable, javax.swing.tree.MutableTreeNode, java.io.Serializable, javax.swing.tree.TreeNode

public class CCLTreeNode
extends javax.swing.tree.DefaultMutableTreeNode

A tree note that offers more sophisticated add feature.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`CCLTreeNode()`
`CCLTreeNode(java.lang.Object oUser_)`
`CCLTreeNode(java.lang.String sPath_, char cDelimiter_)`
`CCLTreeNode(java.util.Vector vPathElements_)`

Method Summary
`void` | `add(java.lang.String sPath_, char cDelimiter_)`
`void` | `add(java.util.Vector vChild_)`
`java.lang.Object` | `clone()`
`CCLTreeNode` | `get(java.lang.String sFullName_, char cDelimiter_)`
`CCLTreeNode` | `get(java.util.Vector vNodeNames_)`
`java.lang.String` | `getName(char cSeparator_)`
`java.lang.String` | `toString(char cSeparator_)`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CCLTreeNode

    public CCLTreeNode()

### CCLTreeNode

    public CCLTreeNode(java.lang.Object oUser_)

### CCLTreeNode

    public CCLTreeNode(java.lang.String sPath_,
                       char cDelimiter_)

### CCLTreeNode

    public CCLTreeNode(java.util.Vector vPathElements_)

Method Detail

### get

    public CCLTreeNode get(java.lang.String sFullName_,
                           char cDelimiter_)

### get

    public CCLTreeNode get(java.util.Vector vNodeNames_)

### getName

    public java.lang.String getName(char cSeparator_)

### add

    public void add(java.lang.String sPath_,
                    char cDelimiter_)

### add

    public void add(java.util.Vector vChild_)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `javax.swing.tree.DefaultMutableTreeNode`

### toString

    public java.lang.String toString(char cSeparator_)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD